import { CameraPosition, CameraType, Scene } from './TypeDefine'; export class LaunchConfig { constructor(t19, u19, v19, w19, x19, y19) { this.cameraType = CameraType.DEFAULT; this.cameraPosition = CameraPosition.BACKEND; this.scene = Scene.PHOTO; this.faceDetect = false; this.previewConfig = t19; this.outputConfig = u19; if (v19 !== undefined) { this.cameraType = v19; } if (w19 !== undefined) { this.cameraPosition = w19; } if (x19 !== undefined) { this.scene = x19; } if (y19 !== undefined) { this.faceDetect = y19; } } toString() { return `LaunchConfig {
      previewConfig: ${this.previewConfig.toString()},
      outputConfig: ${this.outputConfig?.toString()},
      cameraType: ${this.cameraType.toString()},
      cameraPostion: ${this.cameraPosition.toString()},
      scene: ${this.scene.toString()},
      faceDetect: ${this.faceDetect},
  }`; } } 